<?php

namespace Drupal\ckeditor_quran\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "quran" plugin.
 *
 * @CKEditorPlugin(
 *   id = "quran",
 *   label = @Translation("Quran")
 * )
 */
 
 class ckeditor_quran extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
	      $modulePath = drupal_get_path('module', 'ckeditor_quran');
    return $modulePath . '/quran/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
	  	      $modulePath = drupal_get_path('module', 'ckeditor_quran');

    return [
      'Quran' => [
        'label' => t('Quran'),
        'image' => $modulePath . '/quran/icons/quran.png',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

}
